cancel_delayed_work_sync
Prev | Workqueues and Kevents | Next

## Name

cancel_delayed_work_sync — reliably kill off a delayed work.

## Synopsis

`int cancel_delayed_work_sync (` | struct delayed_work * | dwork`)`;

## Arguments

`dwork`

  the delayed work struct

## Description

Returns true if `dwork` was pending.

It is possible to use this function if `dwork` rearms itself via `queue_work` or `queue_delayed_work`. See also the comment for `cancel_work_sync`.

Prev | Up | Next
cancel_work_sync | Home | schedule_work